package enum

type AgentSettlementType int32

const (
	AgentSettlementTypeForDay              = 1
	AgentSettlementTypeForWeek             = 2
	AgentSettlementTypeForMonth            = 3
	AgentSettlementTypeForPaymentInAdvance = 4
)

func (gt AgentSettlementType) String() string {
	switch gt {
	case AgentSettlementTypeForDay:
		return "日结"
	case AgentSettlementTypeForWeek:
		return "周结"
	case AgentSettlementTypeForMonth:
		return "月结"
	case AgentSettlementTypeForPaymentInAdvance:
		return "预付"
	default:
		return "未知"
	}
}
