package enum

type MediumSettlementType int32

const (
	MediumSettlementTypeForDay              = 1
	MediumSettlementTypeForWeek             = 2
	MediumSettlementTypeForMonth            = 3
	MediumSettlementTypeForPaymentInAdvance = 4
)

func (gt MediumSettlementType) String() string {
	switch gt {
	case MediumSettlementTypeForDay:
		return "日结"
	case MediumSettlementTypeForWeek:
		return "周结"
	case MediumSettlementTypeForMonth:
		return "月结"
	case MediumSettlementTypeForPaymentInAdvance:
		return "预付"
	default:
		return "未知"
	}
}
