package md

const (
	FinAgentFlowDirectionIncome      = 1 //流水 - 收入
	FinAgentFlowDirectionExpenditure = 2 //流水 - 支出
)

const (
	FinAgentFlowRedisKey = "%s:fin_agent_flow:%d:user:%d"
)

const (
	AdminUpdateAddTitleForAgentFlow        = "管理员修改增加"
	AdminUpdateSubTitleForAgentFlow        = "管理员修改减少"
	SettlementSubTitleForAgentFlow         = "结算款扣除"
	FinancialDynamicsTitleKindForAgentFlow = "平台预付"
)

const (
	AdminUpdateAddKindForAgentFlow    = 1 // 管理员修改增加
	AdminUpdateSubKindForAgentFlow    = 2 // 管理员修改增加
	SettlementSubKindForAgentFlow     = 3 // 结算款扣除
	FinancialDynamicsKindForAgentFlow = 4 // 平台预付

)

const DealAgentAmountRequestIdPrefix = "%s:deal_agent_amount:%d"
const AgentFinValidUpdateLock = "%s:agent_fin_valid_update_lock:%s" // 用户余额更新锁（能拿到锁才能更新余额）
const AgentAmountRedisKey = "%s:cache_agent_amount:%d"

type DealAgentAmount struct {
	Mid     string  `json:"mid"`
	Type    int     `json:"type"`
	Kind    int     `json:"kind"`
	OrdId   string  `json:"ord_id"`
	AgentId int     `json:"agent_id"`
	Amount  float64 `json:"amount"`
	Memo    string  `json:"memo"`
}
