package md

type QiNiuBucketRegion struct {
	RegionId     string `json:"region_id" example:"区域id"`
	RegionName   string `json:"region_name" example:"区域名称"`
	RegionDomain string `json:"region_domain" example:"区域域名"`
}

var QiNiuBucketRegionList = []QiNiuBucketRegion{
	{
		RegionId:     "z0",
		RegionName:   "华东-浙江",
		RegionDomain: "up-z0.qiniup.com",
	},
	{
		RegionId:     "cn-east-2",
		RegionName:   "华东-浙江2",
		RegionDomain: "up-cn-east-2.qiniup.com",
	},
	{
		RegionId:     "z1",
		RegionName:   "华北-河北",
		RegionDomain: "up-z1.qiniup.com",
	},
	{
		RegionId:     "z2",
		RegionName:   "华南-广东",
		RegionDomain: "up-z2.qiniup.com",
	},
	{
		RegionId:     "na0",
		RegionName:   "北美-洛杉矶",
		RegionDomain: "up-na0.qiniup.com",
	},
	{
		RegionId:     "as0",
		RegionName:   "亚太-新加坡（原东南亚）",
		RegionDomain: "up-as0.qiniup.com",
	},
	{
		RegionId:     "ap-southeast-2",
		RegionName:   "亚太-河内",
		RegionDomain: "up-ap-southeast-2.qiniup.com",
	},
	{
		RegionId:     "ap-southeast-3",
		RegionName:   "亚太-胡志明",
		RegionDomain: "up-ap-southeast-3.qiniup.com",
	},
}
