package enum

type AgentSettlementWithFlowKind int32

const (
	AgentSettlementWithFlowKindForBasicIncome    = 1
	AgentSettlementWithFlowKindForOtherIncome    = 2
	AgentSettlementWithFlowKindForAddOtherIncome = 3
	AgentSettlementWithFlowKindForSubOtherIncome = 4
)

func (gt AgentSettlementWithFlowKind) String() string {
	switch gt {
	case AgentSettlementWithFlowKindForBasicIncome:
		return "基础收益"
	case AgentSettlementWithFlowKindForOtherIncome:
		return "其他收益"
	case AgentSettlementWithFlowKindForAddOtherIncome:
		return "管理员增加其他收益"
	case AgentSettlementWithFlowKindForSubOtherIncome:
		return "管理员减少其他收益"
	default:
		return "未知"
	}
}
