package enum

type MediumSettlementWithFlowKind int32

const (
	MediumSettlementWithFlowKindForBasicIncome    = 1
	MediumSettlementWithFlowKindForOtherIncome    = 2
	MediumSettlementWithFlowKindForAddOtherIncome = 3
	MediumSettlementWithFlowKindForSubOtherIncome = 4
)

func (gt MediumSettlementWithFlowKind) String() string {
	switch gt {
	case MediumSettlementWithFlowKindForBasicIncome:
		return "基础收益"
	case MediumSettlementWithFlowKindForOtherIncome:
		return "其他收益"
	case MediumSettlementWithFlowKindForAddOtherIncome:
		return "管理员增加其他收益"
	case MediumSettlementWithFlowKindForSubOtherIncome:
		return "管理员减少其他收益"
	default:
		return "未知"
	}
}
