package enum

type QualificationState int32

const (
	QualificationStateForWait   = 1
	QualificationStateForNormal = 2
	QualificationStateForFail   = 3
)

func (gt QualificationState) String() string {
	switch gt {
	case QualificationStateForNormal:
		return "审核成功"
	case QualificationStateForFail:
		return "审核拒绝"
	case QualificationStateForWait:
		return "待审核"
	default:
		return "待提交"
	}
}

type QualificationType int32

const (
	QualificationTypeCompany = 1
	QualificationTypeOwn     = 2
)

func (gt QualificationType) String() string {
	switch gt {
	case QualificationTypeCompany:
		return "企业"
	case QualificationTypeOwn:
		return "个人"
	default:
		return "未知"
	}
}
