package md

const (
	FinMediumFlowDirectionIncome      = 1 //流水 - 收入
	FinMediumFlowDirectionExpenditure = 2 //流水 - 支出
)

const (
	FinMediumFlowRedisKey = "%s:fin_medium_flow:%d:user:%d"
)

const (
	AdminUpdateAddTitleForMediumFlow        = "管理员修改增加"
	AdminUpdateSubTitleForMediumFlow        = "管理员修改减少"
	SettlementSubTitleForMediumFlow         = "结算款扣除"
	FinancialDynamicsTitleKindForMediumFlow = "平台预付"
)

const (
	AdminUpdateAddKindForMediumFlow    = 1 // 管理员修改增加
	AdminUpdateSubKindForMediumFlow    = 2 // 管理员修改增加
	SettlementSubKindForMediumFlow     = 3 // 结算款扣除
	FinancialDynamicsKindForMediumFlow = 4 // 平台预付
)

const DealMediumAmountRequestIdPrefix = "%s:deal_medium_amount:%d"
const MediumFinValidUpdateLock = "%s:medium_fin_valid_update_lock:%s" // 用户余额更新锁（能拿到锁才能更新余额）
const MediumAmountRedisKey = "%s:cache_medium_amount:%d"

type DealMediumAmount struct {
	Mid      string  `json:"mid"`
	Type     int     `json:"type"`
	Kind     int     `json:"kind"`
	OrdId    string  `json:"ord_id"`
	MediumId int     `json:"medium_id"`
	Amount   float64 `json:"amount"`
	Memo     string  `json:"memo"`
}
