package md

type GenerateWxAdData struct {
	OriginalDataId        int    `json:"original_data_id" example:"原始数据id"`
	OriginalExposureCount int    `json:"original_exposure_count" example:"原-曝光量"`
	OriginalEcpm          string `json:"original_ecpm" example:"原-广告千次曝光收益(分)"`
	NowExposureCount      int    `json:"now_exposure_count" example:"现-曝光量"`
	NowEcpm               string `json:"now_ecpm" example:"现-广告千次曝光收益(分)"`
}

type ClacEcpmReq struct {
	OriginalExposureCount int    `json:"original_exposure_count" example:"原-曝光量"`
	OriginalEcpm          string `json:"original_ecpm" example:"原-广告千次曝光收益(分)"`
	GenerateDataId        int    `json:"generate_data_id" example:"原始数据id"`
}

type SettlementWxAdData struct {
	GenerateDataId int `json:"generate_data_id" example:"生成数据id"`
}
